> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar Usuário

> Concede acesso a um novo membro (ou administrador secundário) no contexto do atual Tenant. Requer permíssao `admin`.

### Body

<ParamField body="name" type="string" required>Nome completo.</ParamField>
<ParamField body="email" type="string" required>Email que servirá de login.</ParamField>
<ParamField body="password" type="string" required>Senha inicial de acesso do membro.</ParamField>
<ParamField body="role" type="string" default="member">Nível de permissão associada (ex: `admin`, `member`).</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "e4b6d4e8-8e6d-41da-abdb-8fc358a9e7f1",
    "name": "Maria Souza",
    "email": "maria@email.com",
    "role": "member",
    "createdAt": "2024-02-15T12:00:00.000Z"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /users
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /users:
    post:
      tags:
        - Users
      operationId: UsersController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateUserDto:
      type: object
      properties: {}

````